// site-lib.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

const path = require('path');

module.exports = {
  SiteCommon: require(path.join(__dirname, 'site-common')).SiteCommon,
  SitePlatform: require(path.join(__dirname, 'site-platform')),
  SiteAsync: require(path.join(__dirname, 'site-async')).SiteAsync,
  SiteError: require(path.join(__dirname, 'site-error')).SiteError,
  SiteLog: require(path.join(__dirname, 'site-log')).SiteLog,
  SiteController: require(path.join(__dirname, 'site-controller')).SiteController,
  SiteService: require(path.join(__dirname, 'site-service')).SiteService,
  SiteWorker: require(path.join(__dirname, 'site-worker')).SiteWorker,
  SiteWorkerProcess: require(path.join(__dirname, 'site-worker-process')).SiteWorkerProcess,
};